Bug 728208 - Review Request: jboss-threads - JBoss Threads
Summary: Review Request: jboss-threads - JBoss Threads
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351
Blocks: 728202
TreeView+ depends on / blocked
 
Reported: 2011-08-04 11:42 UTC by Marek Goldmann
Modified: 2011-10-10 14:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 14:59:51 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-04 11:42:00 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-threads/1/jboss-threads.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-threads/1/jboss-threads-2.0.0-1.fc15.src.rpm
Description: JBoss Threads

$ rpmlint ./jboss-threads.spec 
./jboss-threads.spec: W: invalid-url Source0: jboss-threads-2.0.0.GA.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-threads-2.0.0-1.fc15.src.rpm 
jboss-threads.src: I: enchant-dictionary-not-found en_US
jboss-threads.src: W: invalid-url Source0: jboss-threads-2.0.0.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Tomas Radej 2011-09-29 13:12:43 UTC
Taking this one.

Comment 2 Tomas Radej 2011-10-05 09:45:45 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output: 
jboss-threads.noarch: W: no-documentation
jboss-threads.src: W: invalid-url Source0: jboss-threads-2.0.0.GA.tar.xz
jboss-threads-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging
Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks) << Folder copied is apidocs, should be apidocs/*
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be
removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
%{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
comment << You could be more specific, but whatever
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

*** ISSUES ***
- folder copied is apidocs, should be apidocs/*

*** NOTES ***
- you could be more specific with the test failure reason

Comment 4 Tomas Radej 2011-10-10 09:04:16 UTC
You have a green light.

*** APPROVED ***

Comment 5 Marek Goldmann 2011-10-10 10:51:23 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-threads
Short Description: JBoss Threads
Owners:            goldmann

Comment 6 Gwyn Ciesla 2011-10-10 12:46:51 UTC
Git done (by process-git-requests).

Comment 7 Marek Goldmann 2011-10-10 14:59:51 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.